package com.abcsz.litigationcase.controller;


import com.abcsz.litigationcase.domain.ro.UserQueryRo;
import com.abcsz.litigationcase.domain.ro.UserRo;
import com.abcsz.litigationcase.domain.vo.PublicVo;
import com.abcsz.litigationcase.domain.vo.UseQueryVo;
import com.abcsz.litigationcase.service.UserService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 用户的模块权限表 前端控制器
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@RestController
@RequestMapping("/userEntity")
public class UserController {

    @Autowired
    private UserService userService;

    @ApiOperation("用户信息新增")
    @PostMapping("/query")
    public UseQueryVo query(@RequestBody @Validated UserQueryRo ro) throws Exception {

        UseQueryVo vo = userService.userQuery(ro);
        return vo;
    }

    @ApiOperation("用户信息新增")
    @PostMapping("/insert")
    public PublicVo insert(@RequestBody @Validated UserRo ro) throws Exception {

        PublicVo vo = userService.userInsert(ro);
        return vo;
    }


    @ApiOperation("用户信息修改")
    @PostMapping("/modify")
    public PublicVo modify(@RequestBody @Validated UserRo ro) throws Exception {

        PublicVo vo = userService.userModify(ro);
        return vo;
    }
}

