package com.abcsz.litigationcase.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 数据字典信息
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@Data
@TableName("tb_data_dictionary")
@ApiModel(value = "DataDictionaryEntity对象", description = "数据字典信息")
public class DataDictionaryEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据字典id")
    @TableId(value = "dictionary_id", type = IdType.ASSIGN_UUID)
    private String dictionaryId;

    @ApiModelProperty(value = "数据字典名称")
    private String dictionaryName;

    @ApiModelProperty(value = "数据字典内容")
    private String dictionaryContent;

    @ApiModelProperty(value = "数据字典描述")
    private String dictionaryDescripe;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新日期")
    private LocalDateTime updateTime;

    private String txtHold1;

    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;


}
