package com.abcsz.litigationcase.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 律师事务所信息
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@Data
@TableName("tb_law_firm")
@ApiModel(value = "LawFirmEntity对象", description = "律师事务所信息")
public class LawFirmEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "律师事务所id")
    @TableId(value = "law_firm_id", type = IdType.ASSIGN_UUID)
    private String lawFirmId;

    @ApiModelProperty(value = "事务所名称")
    private String lawFirmName;

    @ApiModelProperty(value = "事务所编码")
    private String lawFirmCode;

    @ApiModelProperty(value = "地址")
    private String lawFirmAddr;

    @ApiModelProperty(value = "电话")
    private String lawFirmTel;

    @ApiModelProperty(value = "营业时间")
    private String lawFirmTime;

    @ApiModelProperty(value = "描述")
    private String lawFirmDescripe;

    @ApiModelProperty(value = "法人")
    private String legalPerson;

    @ApiModelProperty(value = "图片")
    private String picture;

    @ApiModelProperty(value = "所属区域")
    private String region;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新日期")
    private LocalDateTime updateTime;

    private String txtHold1;

    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;


}
