package com.abcsz.litigationcase.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 模块表
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@Data
@TableName("tb_module")
@ApiModel(value = "ModuleEntity对象", description = "模块表")
public class ModuleEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模块id")
    @TableId(value = "module_id", type = IdType.ASSIGN_UUID)
    private String moduleId;

    @ApiModelProperty(value = "模块编号 一级模块1位 二级模块2位 三级模块3位")
    private String moduleNum;

    @ApiModelProperty(value = "1一级模块 2二级模块 3三级模块")
    private Integer moduleType;

    @ApiModelProperty(value = "父模块编号")
    private String parentNum;

    @ApiModelProperty(value = "模块名称")
    private String moduleName;

    @ApiModelProperty(value = "模块描述")
    private String moduleDescribe;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新日期")
    private LocalDateTime updateTime;

    private String txtHold1;

    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;


}
