package com.abcsz.litigationcase.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 用户的模块权限表
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-22
 */
@Data
@TableName("tb_user")
@ApiModel(value = "UserEntity对象", description = "用户的模块权限表")
public class UserEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    @TableId(value = "user_id", type = IdType.ASSIGN_UUID)
    private String userId;

    @ApiModelProperty(value = "用户账号")
    private String userAccount;

    @ApiModelProperty(value = "用户密码")
    private String userPassword;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "用户证件号码")
    private String userIdentity;

    @ApiModelProperty(value = "用户手机号")
    private String userTel;

    @ApiModelProperty(value = "用户邮箱")
    private String userEmail;

    @ApiModelProperty(value = "是否行内 0-行内 1-行外")
    private Integer isAbc;

    @ApiModelProperty(value = "银行信息 行内必输")
    private Integer bankId;

    @ApiModelProperty(value = "事务所id 行外必输")
    private String lawFirmId;

    @ApiModelProperty(value = "模块配置")
    private String moduleConfigure;

    @ApiModelProperty(value = "权限配置")
    private String permitConfigure;

    @ApiModelProperty(value = "用户描述")
    private String userDescripe;

    @ApiModelProperty(value = "创建日期")
    private Date createTime;

    @ApiModelProperty(value = "更新日期")
    private Date updateTime;

    @TableField(value = "txt_hold_1")
    private String txtHold1;

    @TableField(value = "txt_hold_2")
    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;


}
