package com.abcsz.litigationcase.domain.ro;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class UserRo {
    @ApiModelProperty(value = "用户账号")
    @NotNull(message = "用户账号不能为空")
    private String userAccount;

    @ApiModelProperty(value = "用户密码")
    @NotNull(message = "密码不能为空")
    private String userPassword;

    @ApiModelProperty(value = "用户姓名")
    @NotNull(message = "用户姓名不能为空")
    private String userName;

    @ApiModelProperty(value = "用户证件号码")
    @NotNull(message = "用户证件号码不能为空")
    private String userIdentity;

    @ApiModelProperty(value = "用户手机号")
    private String userTel;

    @ApiModelProperty(value = "用户邮箱")
    private String userEmail;

    @ApiModelProperty(value = "是否行内 0-行内 1-行外")
    @NotNull(message = "是否行内人员")
    private Integer isAbc;

    @ApiModelProperty(value = "银行信息 行内必输")
    private Integer bankId;

    @ApiModelProperty(value = "事务所id行外必输")
    private String lawFirmId;

    @ApiModelProperty(value = "模块配置")
    private String moduleConfigure;

    @ApiModelProperty(value = "权限配置")
    private String permitConfigure;

    @ApiModelProperty(value = "用户描述")
    private String userDescripe;

    private String txtHold1;

    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;

}
